Bug 1249104 - quick installer asks for user on re-run even though user is present in config file
quick installer asks for user on re-run even though user is present in config...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer (Show other bugs)
3.0.0
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Brenton Leanhardt
Ma xiaoqiang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-31 09:40 EDT by Erik M Jacobs
Modified: 2016-07-03 20:45 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-20 10:42:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Erik M Jacobs 2015-07-31 09:40:24 EDT
The quick installer will ask you for the user you want to use (eg: root) every time it is run, even though the config yaml already has the user after the first run.

It appears the file isn't checked until after the user is specified.
Comment 1 Erik M Jacobs 2015-07-31 09:40:52 EDT
This prevents the quick installer from being run un-attended.
Comment 4 Brenton Leanhardt 2015-11-12 09:43:39 EST
This should be fixed in recent puddles.
Comment 5 Gaoyun Pei 2015-11-13 03:43:03 EST
Verify this bug with atomic-openshift-utils-3.0.12-1.git.0.4c09c5b.el7aos.noarch.

When "ansible_ssh_user: root" configured in the installer.cfg.yml, run atomic-openshift-installer with --unattended, it wouldn't ask user for the ansible_ssh_user anymore.

Note You need to log in before you can comment on or make changes to this bug.